### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-contextual-navigation/ecl-contextual-navigation-item.component.ts`

### Metadata

selector | `ecl-contextual-navigation-item`
templateUrl | `./ecl-contextual-navigation-item.component.html`

### Index

###### Methods
onItemClick
###### Inputs
href isCollapsed isHidden styleClass
###### Outputs
itemClick
###### HostBindings
class

### Inputs

href
Type : `string`
Default value : `''`

isCollapsed
Default value : `false`

isHidden
Default value : `false`

styleClass
Type : `string`

### Outputs

itemClick
Type : `EventEmitter`

### HostBindings

class
Default value : `'ecl-contextual-navigation__item'`

### Methods

onItemClick
`onItemClick(evt)`
Parameters :
Name | Optional
evt | No
Returns : `void`

# result-matching ""

# No results matching ""